@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row">
        <div class="col-md-4 mb-3">
            <div class="card border-left-primary shadow-sm h-100 py-2">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-uppercase mb-2">Languages</div>
                            <a href="{{ route('admin.language.index') }}" class="btn btn-primary stretched-link btn-sm">Action</a>
                        </div>
                        <div class="col-auto">
                            <i class="fas fa-globe fa-2x text-gray-300"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-4 mb-3">
            <div class="card border-left-success shadow-sm h-100 py-2">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-uppercase mb-2">Translates</div>
                            <a href="{{ route('admin.translation.index') }}" class="btn btn-success stretched-link btn-sm">Action</a>
                        </div>
                        <div class="col-auto">
                            <i class="fas fa-language fa-2x text-gray-300"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-4 mb-3">
            <div class="card border-left-info shadow-sm h-100 py-2">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-uppercase mb-2">Settings</div>
                            <a href="{{ route('admin.option.index') }}" class="btn btn-info stretched-link btn-sm">Action</a>
                        </div>
                        <div class="col-auto">
                            <i class="fas fa-cog fa-2x text-gray-300"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-4 mb-3">
            <div class="card border-left-danger shadow-sm h-100 py-2">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-uppercase mb-2">Splits</div>
                            <a href="{{ route('admin.split.index') }}" class="btn btn-danger stretched-link btn-sm">Action</a>
                        </div>
                        <div class="col-auto">
                            <i class="fas fa-chess-board fa-2x text-gray-300"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-4 mb-3">
            <div class="card border-left-secondary shadow-sm h-100 py-2">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-uppercase mb-2">Templates</div>
                            <a href="{{ route('admin.template.index') }}" class="btn btn-secondary stretched-link btn-sm">Action</a>
                        </div>
                        <div class="col-auto">
                            <i class="fas fa-layer-group fa-2x text-gray-300"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-4 mb-3">
            <div class="card border-left-warning shadow-sm h-100 py-2">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-uppercase mb-2">Exports</div>
                            <a href="{{ route('admin.export.index') }}" class="btn btn-warning stretched-link btn-sm">Action</a>
                        </div>
                        <div class="col-auto">
                            <i class="fas fa-file-export fa-2x text-gray-300"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-4 mb-3">
            <div class="card border-left-primary shadow-sm h-100 py-2">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-uppercase mb-2">Pages</div>
                            <a href="{{ route('admin.page.index') }}" class="btn btn-primary stretched-link btn-sm">Action</a>
                        </div>
                        <div class="col-auto">
                            <i class="fas fa-clone fa-2x text-gray-300"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('footer')
    <style>
        .text-gray-300 {
            color: #dddfeb!important;
        }
        .border-left-primary {
            border-left: .25rem solid #4099de!important;
        }
        .border-left-success {
            border-left: .25rem solid #21b978!important;
        }
        .border-left-info {
            border-left: .25rem solid #03a9f4!important;
        }
        .border-left-danger {
            border-left: .25rem solid #e74444!important;
        }
        .border-left-secondary {
            border-left: .25rem solid #6c757d!important;
        }
        .border-left-warning {
            border-left: .25rem solid #ffeb3b!important;
        }
    </style>
@endsection
