@extends('layouts.app')

@section('content')
<div class="container app-content">
    <div class="row justify-content-center">
        <div class="col-md-10">
            <div class="card">
                <div class="card-header">
                    <h3 class="card-title m-0">Add Template</h3>
                </div>

                <figure class="card-body">
                    <form method="post" action="{{ route('admin.template.store') }}">
                        @csrf
                        <div class="form-group">
                            <label class="font-weight-bold">Name</label>
                            <input class="form-control" type="text" name="name" required>
                        </div>
                        <div class="form-group">
                            <label class="font-weight-bold">Type</label>
                            <select class="form-control" name="type">
                              <option value="movie">Movie</option>
                              <option value="tv">TV Shows</option>
                            </select>
                        </div>

                        <figure class="highlight shortcode mb-4 rounded" style="background-color: #f8f9fa;padding: 1.5rem;">
                            <span class="form-text font-weight-bold">Shortcode:</span>
                            <ul class="form-text text-muted list-unstyled list-inline">
                                <li class="list-inline-item">[title]</li>
                                <li class="list-inline-item">[original_title]</li>
                                <li class="list-inline-item">[year]</li>
                                <li class="list-inline-item">[tagline]</li>
                                <li class="list-inline-item">[overview]</li>
                                <li class="list-inline-item">[release_date]</li>
                                <li class="list-inline-item">[id]</li>
                                <li class="list-inline-item">[imdb_id]</li>
                                <li class="list-inline-item">[vote_count]</li>
                                <li class="list-inline-item">[vote_average]</li>
                                <li class="list-inline-item">[poster_path]</li>
                                <li class="list-inline-item">[backdrop_path]</li>
                                <li class="list-inline-item">[runtime]</li>
                                <li class="list-inline-item">[budget]</li>
                            </ul>
                            <span class="form-text font-weight-bold">Support spintax, Ex:</span>
                            <span class="form-text text-muted">{Hello|Howdy|Hola} to you, {Mr.|Mrs.|Ms.} {Smith|Williams|Davis}!</span>
                        </figure>

                        <div class="form-group">
                            <label class="font-weight-bold">Title Format</label>
                            <input class="form-control" type="text" name="title">
                        </div>
                        <div class="form-group">
                            <label class="font-weight-bold">Content Format</label>
                            <textarea name="content" id="content" cols="30" rows="10"></textarea>
                        </div>
                        <button class="btn btn-success" type="submit">Add Template</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('footer')
    <script src="//ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script>window.jQuery || document.write('<script src="js/vendor/jquery-3.3.1.min.js"><\/script>')</script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/Trumbowyg/2.20.0/trumbowyg.min.js"></script>
    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/Trumbowyg/2.20.0/ui/trumbowyg.min.css" />
    <script>
        $('#content').trumbowyg({
            btns: [
                ['undo', 'redo'], // Only supported in Blink browsers
                ['formatting'],
                ['strong', 'em', 'del'],
                ['link'],
                ['insertImage'],
                ['justifyLeft', 'justifyCenter', 'justifyRight', 'justifyFull'],
                ['unorderedList', 'orderedList'],
                ['horizontalRule'],
                ['removeformat'],
                ['viewHTML'],
            ],
            semantic: false,
            removeformatPasted: true
        });
    </script>
    <style>
        .trumbowyg-box, .trumbowyg-editor {margin: 0;}
    </style>
@endsection
